Save contact
/v1/mailboxes/{mailbox_id}/contactsSaves the contact's name and address in the selected mailbox. If a contact with the same email already exists, updates its name without creating a duplicate.
Authentication and access · Errors and retries
Request
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/contacts' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \Parameters
mailbox_idpathNecessarilyintegerX-Customer-IDheader- Option 1
stringOption 2null
Request body · application/json
object
emailNecessarilystringnameNecessarilystringminLength: 1maxLength: 120
Unknown fields are not accepted.
Responses
200 Successful response
application/json
object
idintegermailbox_idintegeremailstringnamestringcreated_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject